Buscar usuário
curl --request GET \
--url https://api.juridiq.com.br/user/{id} \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/user/{id}"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/user/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"role": "<string>",
"officeId": "<string>",
"profile": {
"id": "<string>",
"name": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"hasGoogleLinked": true,
"hasPassword": true,
"document": "<string>",
"contact": "<string>",
"admissionDate": "<string>",
"resignationDate": "<string>",
"dateOfBirth": "<string>",
"ctpsNumber": "<string>",
"imageUrl": "<string>",
"oabNumber": "<string>",
"personType": "<string>",
"salary": "<string>",
"postalCode": "<string>",
"addressNumber": "<string>",
"firstLogin": true,
"showBannerAsaas": true,
"referralToken": "<string>",
"googleIntegrationType": "full-sync",
"googleEmail": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Users
Buscar usuário
GET
/
user
/
{id}
Buscar usuário
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Path Parameters
ID do usuário
Response
Default Response
ID do usuário
Nome completo
E-mail de login
Cargo no escritório
ID do escritório
Show child attributes
Show child attributes
Data de criação (ISO 8601)
Data da última alteração (ISO 8601)
Possui conta Google vinculada
Possui senha cadastrada
CPF ou CNPJ
Telefone ou contato
Data de admissão
Data de demissão
Data de nascimento
Número da CTPS
URL da foto
Número da OAB
Tipo de pessoa. Ex: física, jurídica
Salário
CEP
Número do endereço
Primeiro acesso pendente
Exibir banner Asaas
Token de indicação
Tipo de integração Google
Available options:
full-sync E-mail da conta Google vinculada

